Subject: which files will have conflicts between two branches?

From: "J.V." <[email-masked]>
Date: Wed, 27 Mar 2013 15:48:59 -0600

I have two local branches (tracked to remote) that are in sync (did a 
git pull on both branches from their corresponding remote).

Is this the best way to merge?

I would be merging local/branch1 => local/branch2 (test this branch) and 
then push local/branch2 => origin/branch1  (and would expect no merge 
conflicts if anyone has not checked in anything.

---
Also with two local branches, Is there a way to get a list of files (one 
line per file) of files that would have merge conflicts that would need 
to be resolved?

thanks

J.V.